# rbulk-watchd configuration

# Control which addresses are listened.  The default is to bind on any address.
# bind 127.0.0.1
# bind ::1

# Allow connections from those hosts.  Numeric addresses or host names (FQDN)
# are recognized.  Wildcards are interpreted in the fnmatch(3) sense.  The
# default is to deny all connections.
allow 127.*
allow ::1
allow 140.93.*
allow 2001:660:6602:*

# Configure what is run on notification.  The first word is the notication
# message.  It may contain wildcards that are matched with fnmatch(3).  The
# rest of the line is the command to run, via "sh -c".
trigger bulk:robotpkg \
  /opt/openrobots/sbin/rbulk-build -f /opt/rbulk/etc/rbulk.conf
trigger bulk:robotpkg:stop
  /opt/openrobots/sbin/rbulk-build -f /opt/rbulk/etc/rbulk.conf -k

trigger bulk:robotpkg/wip \
  /opt/openrobots/sbin/rbulk-build -f /opt/rbulk/etc/rbulk-wip.conf
trigger bulk:robotpkg/wip:stop \
  /opt/openrobots/sbin/rbulk-build -f /opt/rbulk/etc/rbulk-wip.conf -k

# for testing
trigger ping echo pong
